com.sun.jna.platform.win32

## Class SetupApi.SP_DEVICE_INTERFACE_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.SetupApi.SP_DEVICE_INTERFACE_DATA

Enclosing interface:
  SetupApi

    @Structure.FieldOrder(value={"cbSize","InterfaceClassGuid","Flags","Reserved"})
    public static class SetupApi.SP_DEVICE_INTERFACE_DATA
    extends Structure

An SP_DEVICE_INTERFACE_DATA structure defines a device interface in a device information set.

### Nested Class Summary

Nested Classes
`static class` `SetupApi.SP_DEVICE_INTERFACE_DATA.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbSize` The size, in bytes, of the SP_DEVICE_INTERFACE_DATA structure.
`int` `Flags` Can be one or more of the following: SPINT_ACTIVE - The interface is active (enabled).
`Guid.GUID` `InterfaceClassGuid` The GUID for the class to which the device interface belongs.
`Pointer` `Reserved` Reserved.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SP_DEVICE_INTERFACE_DATA()`
`SP_DEVICE_INTERFACE_DATA(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public int cbSize

The size, in bytes, of the SP_DEVICE_INTERFACE_DATA structure.

#### InterfaceClassGuid

    public Guid.GUID InterfaceClassGuid

The GUID for the class to which the device interface belongs.

#### Flags

    public int Flags

Can be one or more of the following: SPINT_ACTIVE - The interface is active (enabled). SPINT_DEFAULT - The interface is the default interface for the device class. SPINT_REMOVED - The interface is removed.

#### Reserved

    public Pointer Reserved

Reserved. Do not use.

### Constructor Detail

#### SP_DEVICE_INTERFACE_DATA

    public SP_DEVICE_INTERFACE_DATA()

#### SP_DEVICE_INTERFACE_DATA

    public SP_DEVICE_INTERFACE_DATA(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.